
Foreman - Bug #11056

Unit test suite does not pass if oauth settings are set in settings.yaml

07/08/2015 06:20 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Tests   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2528

  

Description

Related issues:

Has duplicate Foreman - Bug #3015: Locations and organizations should be enab... Duplicate 09/03/2013

Associated revisions

Revision c6fcfc9c - 07/09/2015 07:32 AM - Eric Helms

Fixes #11056: Configure base SETTINGS for test environment.

This change introduces the idea of having a base configuration for

SETTINGS within the test environment. This is captured in the

settings.yaml.test file. To be able to detect the Rails environment

in settings.rb, the ordering had to be changed whereby the Gemfile

is loaded up via boot.rb and then Rails is required so that the

Rails environment is available by the time settings.rb is processed.

History

#1 - 07/08/2015 06:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2528 added

- Pull request deleted ()

#2 - 07/09/2015 07:33 AM - Dominic Cleal

- Category set to Tests

- Assignee set to Eric Helms

- translation missing: en.field_release set to 63

#3 - 07/09/2015 07:35 AM - Dominic Cleal

- Has duplicate Bug #3015: Locations and organizations should be enabled automatically in tests added

#4 - 07/09/2015 08:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6fcfc9c012f10eba11f46b274e2293f4ccca659.
